Skip to content

Delete a notification

Delete a specific in-app (inbox) notification permanently by its unique identifier notificationId.

DELETE
/v2/subscribers/{subscriberId}/notifications/{notificationId}

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Path Parameters

subscriberIdRequiredstring

The identifier of the subscriber

notificationIdRequiredstring

The identifier of the notification

Query Parameters

contextKeysarray<string>

Context keys for filtering

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

curl -X DELETE "https://api.novu.co/v2/subscribers/string/notifications/string?contextKeys=string" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>"
Empty

On this page

No Headings
Edit this page on GitHub